Bug 1788583 - Internal registry service DNS name not resolvable from IPv6 hosts
Summary: Internal registry service DNS name not resolvable from IPv6 hosts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: DNS
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.0
Assignee: Dan Mace
QA Contact: Hongan Li
URL:
Whiteboard: ipv6
Depends On:
Blocks: 1788591
TreeView+ depends on / blocked
 
Reported: 2020-01-07 14:50 UTC by Jon Schlueter
Modified: 2020-05-04 11:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1788591 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:23:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-dns-operator pull 151 None closed Bug 1788583: Node resolver: support IPv6 service IPs 2020-06-19 02:43:14 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:23:40 UTC

Description Jon Schlueter 2020-01-07 14:50:24 UTC
Description of problem:

Node Resolver is not able to pull correct DNS record for ipv6



Actual results:

Unable to specify the ipv6 IP for the service IP

Expected results:

able to specify ipv6 IP for the service IP

Additional info:

Patch cherry-pick to release-4.3 upstream
https://github.com/openshift/cluster-dns-operator/pull/152

Comment 2 Hongan Li 2020-03-24 07:52:13 UTC
verified with 4.4.0-0.nightly-2020-03-23-010639 and the issue has been fixed.

$ oc get svc -n openshift-image-registry
NAME                      TYPE        CLUSTER-IP   EXTERNAL-IP   PORT(S)     AGE
image-registry            ClusterIP   fd02::bde    <none>        5000/TCP    10m

$ cat /etc/hosts
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
fd02::bde image-registry.openshift-image-registry.svc image-registry.openshift-image-registry.svc.cluster.local # openshift-generated-node-resolver

Comment 4 errata-xmlrpc 2020-05-04 11:23:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.